org.gnome.gtk

## Class WrapMode

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.WrapMode

-     public final class WrapMode
      extends org.freedesktop.bindings.Constant

  Indicate if you want a TextView to wrap, and if so, where it should break lines. These constants are used with TextView's `setWrapMode()` method.
  Since:
    4.0.9
  Author:
    Stefan Prelle, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WrapMode` | `CHAR` Wrap text, breaking lines anywhere the cursor can appear (between characters, usually)
    `static WrapMode` | `NONE` Do not wrap lines; attempt to make the TextView as wide as the widest line in the underlying TextBuffer; lines will be truncated if they are longer than the width allocated to the TextView.
    `static WrapMode` | `WORD` Wrap text, breaking lines in between words.
    `static WrapMode` | `WORD_CHAR` Wrap text, breaking lines in between words, or if that is not enough, also between graphemes.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CHAR

          public static final WrapMode CHAR

      Wrap text, breaking lines anywhere the cursor can appear (between characters, usually)

    - #### NONE

          public static final WrapMode NONE

      Do not wrap lines; attempt to make the TextView as wide as the widest line in the underlying TextBuffer; lines will be truncated if they are longer than the width allocated to the TextView.

    - #### WORD

          public static final WrapMode WORD

      Wrap text, breaking lines in between words. This is usually the one you want if you are trying to enable word wrapping, but keep in mind that something also has to act to constrain the width of the TextView as it is packed into a Container hierarchy or no wrapping will occur.

    - #### WORD_CHAR

          public static final WrapMode WORD_CHAR

      Wrap text, breaking lines in between words, or if that is not enough, also between graphemes. FIXME What is a grapheme?